#include <regex.h>

/*
 * "Standard" means one of FROM, TO, CC, BCC and SUBJECT which are
 * header field-names recognised as searching criteria, from an
 * IMAP server. Custom any other user defined header field-names.
 */
#define standard_filter(A, B)		set_filters(A, B, 0)
#define custom_filter(A, B)		set_filters(A, B, 1)

int read_config(char *cfg);
int parse_config(FILE * fp);
void prepare_account(void);
void set_account(char *line, regmatch_t * match);
void set_filters(char *line, regmatch_t * match, int custom);
void set_limits(char *line, regmatch_t * match);
